ADDR2LINE(1)

NOMBRE
addr2line - convierte direcciones o símbolo+compensación a nombres de fichero y números de línea

SINOPSIS
addr2line [-a|--addresses]
          [-b bfdname|--target=bfdname]
          [-C|--demangle[=style]]
          [-r|--no-recurse-limit]
          [-R|--recurse-limit]
          [-e filename|--exe=filename]
          [-f|--functions] [-s|--basename]
          [-i|--inlines]
          [-p|--pretty-print]
          [-j|--section=name]
          [-H|--help] [-V|--version]
          [addr addr ...]

DESCRIPCIÓN
addr2line traduce direcciones o símbolo+compensación a nombres de fichero y números de línea. Dada una dirección o un símbolo+compensación en un ejecutable o la compensación en una sección de un objeto reubicable, emplea la información de depuración para adivinar qué nombre de fichero y número de línea están asociados a una dirección dada.

The executable or relocatable object to use is specified with the -e option. The default is the file a.out. The section in the relocatable object to use is specified with the -j option.

addr2line tiene dos modos de operación.

En el primero, se especifican en la línea de órdenes direcciones hexadecimales, y addr2line muestra el nombre del fichero y el número de línea para cada dirección.

En la segunda, addr2line lee direcciones exadecimaleso símbolo+compensación desde la entrada estándar, y muestra el nombre del fichero y el número de línea para cada dirección en la salida estándar. En este modo, addr2line puede emplearse en una interconexión para convertir dinámicamente direcciones escogidas.

El formato de la salida es NOMBREARCHIVO:LINENO. Por defecto, cada dirección de entrada genera una línea de salida.

Two options can generate additional lines before each FILENAME:LINENO line (in that order).

Si se emplea la opción -a, se mostrará una línea con la dirección de entrada.

If the -f option is used, then a line with the FUNCTIONNAME is displayed. This is the name of the function containing the address.

One option can generate additional lines after the FILENAME:LINENO line.

If the -i option is used and the code at the given address is present there because of inlining by the compiler then additional lines are displayed afterwards. One or two extra lines (if the -f option is used) are displayed for each inlined function.

Alternatively if the -p option is used then each input address generates a single, long, output line containing the address, the function name, the file name and the line number. If the -i option has also been used then any inlined functions will be displayed in the same manner, but on separate lines, and prefixed by the text (inlined by).

Si el nombre de fichero o el de función no pueden determinarse, addr2line mostrará dos signos de interrogación en sus lugares. Si el número de línea no puede determinarse, addr2line mostrará el número 0.

When symbol+offset is used, +offset is optional, except when the symbol is ambigious with a hex number. The resolved symbols can be mangled or unmangled, except unmangled symbols with + are not allowed.

OPCIONES
The long and short forms of options, shown here as alternatives, are equivalent.

-a
--addresses
    Display the address before the function name, file and line number information. The address is printed with a 0x prefix to easily identify it.

-b nombrebfd
--target=nombrebfd
    Especifica que el formato del código objeto para los ficheros objeto será bfdnombre.

-C
--demangle[=estilo]
    Decode (demangle) low-level symbol names into user-level names. Besides removing any initial underscore prepended by the system, this makes C++ function names readable. Different compilers have different mangling styles. The optional demangling style argument can be used to choose an appropriate demangling style for your compiler.

-e nombrefichero
--exe=nombrefichero
    Especifica el nombre del ejecutable para el que se deberán traducir las direcciones. El nombre de fichero predeterminado es a.out.

-f
--functions
    Muestra nombres de funciones a la vez que información sobre ficheros y números de línea.

-s
--basenames
    Muestra solamente el nombre base de cada nombre de fichero.

-i
--inlines
    If the address belongs to a function that was inlined, the source information for all enclosing scopes back to the first non-inlined function will also be printed. For example, if "main" inlines "callee1" which inlines "callee2", and address is from "callee2", the source information for "callee1" and "main" will also be printed.

-j
--section
    Read offsets relative to the specified section instead of absolute addresses.

-p
--pretty-print
    Make the output more human friendly: each location are printed on one line. If option -i is specified, lines for all enclosing scopes are prefixed with (inlined by).

-r
-R
--recurse-limit
--no-recurse-limit
--recursion-limit
--no-recursion-limit
    Enables or disables a limit on the amount of recursion performed whilst demangling strings. Since the name mangling formats allow for an infinite level of recursion it is possible to create strings whose decoding will exhaust the amount of stack space available on the host machine, triggering a memory fault. The limit tries to prevent this from happening by restricting recursion to 2048 levels of nesting.

    The default is for this limit to be enabled, but disabling it may be necessary in order to demangle truly complicated names. Note however that if the recursion limit is disabled then stack exhaustion is possible and any bug reports about such an event will be rejected.

    The -r option is a synonym for the --no-recurse-limit option. The -R option is a synonym for the --recurse-limit option.

    Note this option is only effective if the -C or --demangle option has been enabled.

@archivo
    Read command-line options from file. The options read are inserted in place of the original @file option. If file does not exist, or cannot be read, then the option will be treated literally, and not removed.

    Options in file are separated by whitespace. A whitespace character may be included in an option by surrounding the entire option in either single or double quotes. Any character (including a backslash) may be included by prefixing the character to be included with a backslash. The file may itself contain additional @file options; any such options will be processed recursively.

VÉASE TAMBIÉN
Página info de binutils.

COPYRIGHT
Copyright (c) 1991-2023 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.